Paciente

com.uva.rafael.tfg_goniometer.data.entities

## Class Paciente

- java.lang.Object
- - com.uva.rafael.tfg_goniometer.data.entities.Paciente

-     public class Paciente
      extends java.lang.Object

  Esta clase modela a la `Entity` "Paciente" de la Base de Datos.

  Se encarga de proveer un metodo para insertar un "Paciente" en la Base de Datos, pasando cada uno de los atributos que componen esta clase a un formato adecuado, por medio de un objeto de tipo `ContentValues`.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `ArrayList`, `ContentValues`, `Contract.PatientEntry`

- - ### Constructor Summary

    Constructors
    Constructor and Description

    `Paciente(java.lang.String nombre, int edad, Sexo sexo, int id, java.lang.String diagnostico, java.util.ArrayList<java.lang.String> tags, long telefono, java.lang.String direccion, java.lang.String sintomas, java.lang.String tratamiento_previo, java.lang.String tratamiento_actual, java.lang.String comentarios)`
    Constructor principal de la clase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.content.ContentValues` | `toContentValues()` Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Paciente

          public Paciente(java.lang.String nombre,
                          int edad,
                          Sexo sexo,
                          int id,
                          java.lang.String diagnostico,
                          java.util.ArrayList<java.lang.String> tags,
                          long telefono,
                          java.lang.String direccion,
                          java.lang.String sintomas,
                          java.lang.String tratamiento_previo,
                          java.lang.String tratamiento_actual,
                          java.lang.String comentarios)

      Constructor principal de la clase
      Parameters:
        `nombre` - Nombre
        `edad` - Edad
        `sexo` - Sexo
        `diagnostico` - Diagnostico
        `tags` - Tags para identificar mas facilmente al paciente
        `id` - ID
        `telefono` - Telefono
        `direccion` - Direccion
        `sintomas` - Sintomas
        `tratamiento_previo` - Tratamiento previo que ha estado siguiendo el paciente
        `tratamiento_actual` - Tratamiento actual que esta siguiendo el paciente
        `comentarios` - Comentarios adicionales

  - ### Method Detail

    - #### toContentValues

          public android.content.ContentValues toContentValues()

      Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.
      Returns:
        values `ContentValues` con los atributos del Paciente ya formateados